Bug 638428 - CVE-2010-3394 TeXmacs: insecure library loading vulnerability [fedora-all]
Summary: CVE-2010-3394 TeXmacs: insecure library loading vulnerability [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: TeXmacs
Version: 13
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2010-3394
TreeView+ depends on / blocked
 
Reported: 2010-09-29 00:22 UTC by Vincent Danen
Modified: 2013-07-02 23:48 UTC (History)
2 users (show)

Fixed In Version: TeXmacs-1.0.7.9-2.fc14
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-03 03:33:59 UTC


Attachments (Terms of Use)
Patch used to fix CVE-2010-3394 (2.06 KB, patch)
2011-02-14 15:10 UTC, Jindrich Novy
no flags Details | Diff

Description Vincent Danen 2010-09-29 00:22:27 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include the bug IDs of the
respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=638427

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please only close it when all
affected versions are fixed.


[bug automatically created by: add-tracking-bugs]

Comment 1 Fedora Admin XMLRPC Client 2011-02-10 08:29:07 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Jindrich Novy 2011-02-14 15:10:12 UTC
Created attachment 478648 [details]
Patch used to fix CVE-2010-3394

I used this patch from Debian to fix it. Please review if everything is OK. I will release updates if everything is fine.

Comment 3 Fedora Update System 2011-02-24 07:42:10 UTC
TeXmacs-1.0.7.9-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/TeXmacs-1.0.7.9-2.fc15

Comment 4 Fedora Update System 2011-02-24 07:44:37 UTC
TeXmacs-1.0.7.9-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/TeXmacs-1.0.7.9-2.fc14

Comment 5 Fedora Update System 2011-02-24 07:45:54 UTC
TeXmacs-1.0.7.9-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/TeXmacs-1.0.7.9-2.fc13

Comment 6 Fedora Update System 2011-02-24 20:51:56 UTC
TeXmacs-1.0.7.9-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update TeXmacs'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/TeXmacs-1.0.7.9-2.fc14

Comment 7 Fedora Update System 2011-03-03 03:33:28 UTC
TeXmacs-1.0.7.9-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-03-05 02:32:20 UTC
TeXmacs-1.0.7.9-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-03-05 02:35:55 UTC
TeXmacs-1.0.7.9-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.